
RADIUS Authentication - Feature #386

Support authentication test using existing secret

07/27/2012 07:21 PM - Luke Murphey

Status: Closed Start date: 07/27/2012

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.1   

Description

Users cannot test an account on the setup screen using the existing secret. This is because the AccountTestValidator currently does

not try to get the existing secret from the REST endpoint.

Associated revisions

Revision 57 - 08/28/2012 04:46 AM - Luke Murphey

Updated the REST handler such that it will use the existing secret if it was not provided for the purposes of validating the user account. This way, the

setup screen can be used to validate an account without re-specifying the secret. Closes #386.

Revision 50 - 08/28/2012 04:46 AM - Luke Murphey

Updated the REST handler such that it will use the existing secret if it was not provided for the purposes of validating the user account. This way, the

setup screen can be used to validate an account without re-specifying the secret. Closes #386.

History

#1 - 07/28/2012 12:10 AM - Luke Murphey

- Target version set to 1.1

#2 - 08/01/2012 06:22 PM - Luke Murphey

- Target version changed from 1.1 to 1.1.1

#3 - 08/13/2012 02:57 AM - Luke Murphey

- Tracker changed from Bug to Feature

- Subject changed from Cannot perform authentication test using existing secret to Support authentication test using existing secret

- Description updated

#4 - 08/28/2012 04:07 AM - Luke Murphey

- Status changed from New to In Progress

#5 - 08/28/2012 05:19 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r57.
